Subject: bug#58790: Eglot URI parsing bug when using clojure-lsp server

From: Danny Freeman <[email-masked]>
Date: Thu, 10 Nov 2022 17:57:30 -0500

João Távora <[email-masked]> writes:

> I've now pushed the first patch, but I held off the second patch.
>
> I don't see this OPERATION=nil option documented in the docstring of
> find-file-name-handler, so I'm not sure we should rely on it.
>
> I think we should provide OPERATION here, because what we want to check
> is if we, Emacs, can actually visit the file designated by the URI.  So
> I think passing something like 'access-file' as the OPERATION argument
> makes more sense.  But Eli probably has more knowledge here.  Maybe
> passing nil is indeed correct.

If we want to not use nil I think a real operation argument like
`access-file' or `expand-file-name' would be more warranted then.
The made up one I initially used I was not a big fan of.

-- 
Danny Freeman